/* GLOBAL RESPONSIVE */
@media (max-width:1299px) {
    .navbar {
        width: 92%;
    }

    .container {
        max-width: 92%;
    }

    .navbar>.container {
        padding: 0;
        max-width: 100%;
    }

    .hero-content h1 {
        font-size: 2rem;
    }

    .hero-content p {
        font-size: 1rem;
    }

    .hero-content h1 span {
        font-size: 3rem;
    }
}

@media (max-width: 991px) {
    .navbar-toggler {
        padding: var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);
        font-size: var(--bs-navbar-toggler-font-size);
        line-height: 1;
        color: rgb(12 70 149);
        background-color: #0c438f;
        border: 0;
        border-radius: 0;
    }

}

/* =========================
   MOBILE OFFCANVAS MENU
========================= */

.navbar-toggler {
    padding: 0;
    width: 50px;
    height: 40px;
    position: relative;
    z-index: 1002;
    box-shadow: none !important;
    border: 0;
}

.hamburger,
.hamburger::before,
.hamburger::after {
    width: 28px;
    height: 2px;
    background: #ffffff;
    display: block;
    position: absolute;
    transition: all .4s ease;
    border-radius: 10px;
    color: #fff;
}

.hamburger {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.hamburger::before,
.hamburger::after {
    content: "";
    left: 0;
}

.hamburger::before {
    top: -8px;
}

.hamburger::after {
    top: 8px;
}

/* OPEN ICON */

.navbar-toggler.active .hamburger {
    background: transparent;
}

.navbar-toggler.active .hamburger::before {
    top: 0;
    transform: rotate(45deg);
}

.navbar-toggler.active .hamburger::after {
    top: 0;
    transform: rotate(-45deg);
}

/* Mobile only */

@media (max-width: 991px) {

    .navbar-collapse {
        position: fixed;
        top: 0;
        right: -320px;
        width: 30%;
        height: 100vh;
        background: rgb(255 255 255 / 1);
        z-index: 1001;
        padding: 100px 20px;
        display: block !important;
        overflow-y: auto;
        transition: right .5s cubic-bezier(.77, 0, .18, 1);
        box-shadow: -10px 0 30px rgba(0, 0, 0, .1);
    }

    .navbar-collapse.show {
        right: 0;
    }

    .navbar-expand-lg .navbar-nav .nav-item {
        padding: 0;
    }

    .navbar-nav {
        gap: 15px;
    }

    .navbar-expand-lg .navbar-nav a.nav-link {
        font-size: 1.1rem;
        font-weight: 600;
        padding: 10px 0;
    }

    /* Overlay */

    .menu-overlay {
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, .6);
        opacity: 0;
        visibility: hidden;
        transition: all .4s ease;
        z-index: 998;
        backdrop-filter: blur(4px);
    }

    .menu-overlay.active {
        opacity: 1;
        visibility: visible;
    }

    .logo {
        width: 185px;
    }

    .heading-twoway span,
    .page-banner h1 span,
    .cta-title {
        font-size: 2.2rem;
        line-height: 1.1;
    }

    .hero-content {
        width: 85%;
    }

    .img-fluid {
        max-width: 60%;
    }

    .about-content {
        padding-left: 1rem;
    }
}

/* Desktop */

@media (min-width: 992px) {
    .menu-overlay {
        display: none;
    }
}

@media (max-width: 767px) {

    .heading-twoway span,
    .page-banner h1 span,
    .cta-title {
        font-size: 2rem;
        line-height: 1.1;
    }

    .hamburger,
    .hamburger::before,
    .hamburger::after {
        width: 22px;
        height: 2px;
    }

    .navbar-toggler {
        width: 46px;
        height: 35px;
    }

    .info-card h3 {
        font-size: 1.3rem;
    }

    .info-card {
        padding: 30px 25px;
    }

    .navbar-collapse {
        width: 42%;
    }

    .wc-box {
        padding: 30px 20px;
    }

    .wc-box h4 {
        font-size: 1.3rem;
    }
}

@media (max-width: 680px) {
    .logo {
        width: 176px;
    }

    .img-fluid {
        max-width: 100%;
    }

    .wc-grid {
        display: block;
        grid-template-columns: repeat(1, 1fr);
    }

    .wc-box {
        margin: 0 auto 40px;
    }

    .active-box {
        transform: translateY(0px);
        -webkit-transform: translateY(0px);
        -moz-transform: translateY(0px);
        -ms-transform: translateY(0px);
        -o-transform: translateY(0px);
    }

    .active-box.wc-box:hover {
        transform: translateY(0px);
        -webkit-transform: translateY(0px);
        -moz-transform: translateY(0px);
        -ms-transform: translateY(0px);
        -o-transform: translateY(0px);
    }

    .wc-box:hover {
        transform: translateY(0px);
        -webkit-transform: translateY(0px);
        -moz-transform: translateY(0px);
        -ms-transform: translateY(0px);
        -o-transform: translateY(0px);
    }
}

@media (max-width: 480px) {
    .cta-wrapper {
        padding: 60px 30px;
    }

    .cta-section .container {
        max-width: 100%;
    }

    .cta-text {
        font-size: 1rem;
    }

    .footer-nav ul li {
        width: 46%;
        text-align: left;
    }

    .footer-nav .justify-content-center {
        justify-content: flex-start !important;
    }

    footer-section {
        width: 95%;
    }

    .navbar-collapse {
        width: 90%;
        right: -120%;
    }

    .servicecol.col-6 {
        flex: 0 0 auto;
        width: 100%;
    }

    .page-banner p {
        font-size: 1rem;
    }

    .hero-content a {
        margin-bottom: 10px;
    }

    .hero-content h1 span {
        font-size: 2.5rem;
    }

    .hero-content h1 {
        font-size: 1.5rem;
    }

    .heading-twoway {
        font-size: 1.6rem;
    }

    .heading-twoway span,
    .page-banner h1 span,
    .cta-title {
        font-size: 1.6rem;
    }

    .c1 {
        width: 40px;
        height: 40px;
    }

    .service-icon {
        width: 60px;
        height: 60px;
    }

    .service-icon img {
        width: 60px;
        height: auto;
    }

    .container {
        max-width: 96%;
    }

    .footer-section {
        width: 95%;
    }

    .contact-info-value {
        font-size: 0.85rem;
    }
}

@media (max-width: 380px) {
    .contact-info-item {
        display: block;
        text-align: center;
    }

    .contact-info-value {
        font-size: .95rem;
    }

    .contact-info-icon {
        margin: 0 auto 15px;
    }

    .heading-twoway {
        font-size: 1.4rem;
    }

    .hero-content a {
        margin-bottom: 10px;
        width: 100%;
    }

    .cta-wrapper {
        padding: 60px 25px;
    }

    .pilled-btn {
        width: 100%;
    }
}